API Reference
Supplier Payments
4 endpoints· Auth: JWT or API Key
get
/api/v1/console/suppliers/{id}/payable JWT API KeyGet payable
Path parameters
| idrequired string (uuid) | — |
Query parameters
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/payable" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/suppliers/{id}/payments JWT API KeyGet payments
Path parameters
| idrequired string (uuid) | — |
Query parameters
| PurchaseInvoiceId string (uuid) | — |
| Method string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/payments" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/suppliers/{id}/payments JWT API KeyCreate payments
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"amount": 0,
"note": "string"
}| amount integer (int64) | — |
| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/payments" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"amount": 0,
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/suppliers/{id}/statement JWT API KeyGet statement
Path parameters
| idrequired string (uuid) | — |
Query parameters
| AsOf string (date) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/suppliers/{id}/statement" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Query parameters
Set credentials in the “Authorize” menu